Bug 1656384 - information for installed products can not be updated on cockpit
Summary: information for installed products can not be updated on cockpit
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: subscription-manager
Version: 8.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: 8.0
Assignee: candlepin-bugs
QA Contact: Red Hat subscription-manager QE Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-05 11:49 UTC by qianzhan
Modified: 2019-11-15 21:56 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
installed_product_status_is_not_updated_on_cockpit.png (97.13 KB, image/png)
2018-12-05 11:49 UTC, qianzhan
no flags Details
'installed_product_status_has_been_updated_on_cockpit.png' (90.21 KB, image/png)
2019-03-11 02:42 UTC, qianzhan
no flags Details

Description qianzhan 2018-12-05 11:49:05 UTC
Description of problem:
information for installed products can not be updated on cockpit

Version-Release number of selected component (if applicable):
subscription-manager-1.23.8-4.el8.x86_64
subscription-manager-rhsm-certificates-1.23.8-4.el8.x86_64
python3-subscription-manager-rhsm-1.23.8-4.el8.x86_64
dnf-plugin-subscription-manager-1.23.8-4.el8.x86_64

candlepin-2.5.8-1.el7.noarch
tfm-rubygem-katello-3.10.0-0.2.rc1.el7sat.noarch
katello-3.10.0-0.6.rc1.el7sat.noarch

How reproducible:
always

Steps to Reproduce:
1. Register RHEL-8.0-20181204.0 against Satellite6.5-snapshot6.0:


[root@dell-r730-002-guest16 ~]# subscription-manager  register --auto-attach
Registering to: ibm-hs22-04.rhts.eng.brq.redhat.com:443/rhsm
Username: admin
Password: 
The system has been registered with ID: 0c39a7c1-170e-4b18-9a6a-e742ca45ecb8
The registered system name is: dell-r730-002-guest16.dsal.lab.eng.rdu2.redhat.com
Failed to synchronize cache for repo 'myrepo_0', ignoring this repo.
Installed Product Current Status:
Product Name: Red Hat Enterprise Linux for x86_64 High Touch Beta
Status:       Subscribed

[root@dell-r730-002-guest16 ~]# subscription-manager  list
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
Product Name:   Red Hat Enterprise Linux for x86_64 High Touch Beta
Product ID:     230
Version:        8.0 HTB
Arch:           x86_64
Status:         Subscribed
Status Details: 
Starts:         03/13/2018
Ends:           03/12/2019


2.Login cockpit application, and check installed product status:
The button is red, and 'status' is 'Not Subscribed (Not supported by a valid subscription.)'. Please see attachment 'installed_product_status_is_not_updated_on_cockpit.png'



Actual results:
As step 2.

Expected results:
After updating installed product status in CLI, the cockpit should update the product status.

Additional info:

Comment 1 qianzhan 2018-12-05 11:49:36 UTC
Created attachment 1511644 [details]
installed_product_status_is_not_updated_on_cockpit.png

Comment 2 qianzhan 2018-12-20 09:24:30 UTC
This bug still exists on RHEL-8.0-20181218.0 against Satellite6.5-snapshot8.0.

Comment 3 Kevin Howell 2019-01-07 15:24:56 UTC
Can you please provide possible dupe?

Comment 4 Chris Snyder 2019-01-07 15:30:08 UTC
I thought this might have been a duplicate (or at least resulting from) https://bugzilla.redhat.com/show_bug.cgi?id=1651621

A fix for bug 1651621 has been included in the build tested on December 20th.
We'll still need to investigate this.

Comment 5 Chris Snyder 2019-03-04 19:48:53 UTC
Can you please retest this against the latest RHEL 8.0 build?

Thank you!

Comment 6 qianzhan 2019-03-05 08:23:55 UTC
Verification on RHEL-8.0.0-20190228.1 against Satellite6.5-snapshot-18.0:

subscription-manager-1.23.8-33.el8.x86_64
dnf-plugin-subscription-manager-1.23.8-33.el8.x86_64
subscription-manager-cockpit-1.23.8-33.el8.noarch
python3-subscription-manager-rhsm-1.23.8-33.el8.x86_64
subscription-manager-rhsm-certificates-1.23.8-33.el8.x86_64
tfm-rubygem-katello-3.10.0.24-1.el7sat.noarch
katello-3.10.0-0.6.rc1.el7sat.noarch
candlepin-2.5.8-1.el7.noarch


1. Register RHEL-8.0.0-20190228.1 against Satellite6.5-snapshot-18.0, and auto-attach:
[root@kvm-01-guest03 ~]# subscription-manager  list
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
Product Name:   Red Hat Enterprise Linux for x86_64
Product ID:     479
Version:        8.0
Arch:           x86_64
Status:         Subscribed
Status Details: 
Starts:         02/12/2019
Ends:           02/11/2020

2. Login the client's cockpit application to check the installed product status: the status is subscribed and the button is green. Please refer attachment 'installed_product_status_has_been_updated_on_cockpit.png'.

Please move this bug to ON_QA, so that I can move it to VERIFIED.

Comment 7 qianzhan 2019-03-11 02:42:44 UTC
Created attachment 1542719 [details]
'installed_product_status_has_been_updated_on_cockpit.png'

Comment 8 qianzhan 2019-03-11 02:43:26 UTC
As per comment 6, move this bug to VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.